## org.eclipse.emf.compare.epatch.applier
Class AbstractEpatchMapping

    java.lang.Object
      org.eclipse.emf.compare.epatch.applier.AbstractEpatchMapping

All Implemented Interfaces:
  EpatchMapping

Direct Known Subclasses:
  CopyingEpatchApplier.TriMap, InvertedEpatchMapping

    public abstract class AbstractEpatchMapping

extends java.lang.Object
implements EpatchMapping

Nested Class Summary
`class` `AbstractEpatchMapping.EpatchMappingEntryImpl`

Nested classes/interfaces inherited from interface org.eclipse.emf.compare.epatch.applier.EpatchMapping
`EpatchMapping.EpatchMappingEntry`

Constructor Summary
`AbstractEpatchMapping()`

Method Summary
`protected EpatchMapping.EpatchMappingEntry` `createEPatchMappingEntry(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst, NamedObject ptc)`
`java.util.Set<EpatchMapping.EpatchMappingEntry>` `getAllEntries()`
`EpatchMapping.EpatchMappingEntry` `getByDst(org.eclipse.emf.ecore.EObject dst)`
`EpatchMapping.EpatchMappingEntry` `getByPtc(NamedObject ptc)`
`EpatchMapping.EpatchMappingEntry` `getBySrc(org.eclipse.emf.ecore.EObject src)`
`java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject>` `getDstToSrcMap()`
`java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject>` `getSrcToDstMap()`
`void` `put(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst, NamedObject ptc)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.compare.epatch.applier.EpatchMapping
`getDstResources, getImportedResources, getSrcResources, getStrategy`

Constructor Detail

### AbstractEpatchMapping

    public AbstractEpatchMapping()

Method Detail

### getAllEntries

    public java.util.Set<EpatchMapping.EpatchMappingEntry> getAllEntries()

  Specified by:
    `getAllEntries` in interface `EpatchMapping`

### getByDst

    public EpatchMapping.EpatchMappingEntry getByDst(org.eclipse.emf.ecore.EObject dst)

  Specified by:
    `getByDst` in interface `EpatchMapping`

### getByPtc

    public EpatchMapping.EpatchMappingEntry getByPtc(NamedObject ptc)

  Specified by:
    `getByPtc` in interface `EpatchMapping`

### getBySrc

    public EpatchMapping.EpatchMappingEntry getBySrc(org.eclipse.emf.ecore.EObject src)

  Specified by:
    `getBySrc` in interface `EpatchMapping`

### getDstToSrcMap

    public java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject> getDstToSrcMap()

  Specified by:
    `getDstToSrcMap` in interface `EpatchMapping`

### getSrcToDstMap

    public java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject> getSrcToDstMap()

  Specified by:
    `getSrcToDstMap` in interface `EpatchMapping`

### createEPatchMappingEntry

    protected EpatchMapping.EpatchMappingEntry createEPatchMappingEntry(org.eclipse.emf.ecore.EObject src,
                                                                        org.eclipse.emf.ecore.EObject dst,
                                                                        NamedObject ptc)

### put

    public void put(org.eclipse.emf.ecore.EObject src,
                    org.eclipse.emf.ecore.EObject dst,
                    NamedObject ptc)

  Specified by:
    `put` in interface `EpatchMapping`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.